---
search:
  tags:
    - Orders
    - GET
seo:
  description: >-
    Returns a paginated list of orders for a shop. Requires admin scope.
    Supports… Reference for the GET /shops/{shop_id}/orders endpoint in the
    Bolder API v1.
sidebar:
  label: List orders
  badge: GET
title: List orders
type: openapi-operation
---
Returns a paginated list of orders for a shop. Requires `admin` scope.
Supports filtering by status, date ranges, amounts, and geo-location.

`GET /shops/{shop_id}/orders`

**Responses**

- `200` — Paginated orders list

Response example, 200:

```json
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 0,
        "shop_id": 0,
        "code": "string",
        "status": "checkout",
        "net_total": 0,
        "total": 0,
        "shipping_total": 0,
        "shipping_description": "string",
        "discount_total": 0,
        "tracking_code": "string",
        "courier_name": "string",
        "total_weight_in_grams": 0,
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "pending_on": "2019-08-24T14:15:22Z",
        "closed_on": "2019-08-24T14:15:22Z",
        "shipped_on": "2019-08-24T14:15:22Z",
        "fulfillment": {
          "fulfillment_method": "shipping"
        },
        "payment_info": {
          "type": "string",
          "name": "string",
          "auth_code": "string",
          "transaction_id": "string"
        },
        "_links": {}
      }
    ]
  }
}
```
